#!/bin/sh

mem=$[`(grep MemTotal /proc/meminfo || echo 524288)| sed 's/[^0-9]//g'`*2]

[ $mem -ge 32948992 ] && mem=32948992

# Don't use raids under virtualization
if lspci -n | grep -qE '(1013:00b8)|(80ee:beef)|(14ad:0405)|(1af4:100)' ; then
	server_methods='plain'
	mem=$[$mem*11/10]
else
	mem=$[$mem*11/10]
	server_methods='raid plain'
fi


cat > /var/cache/alterator/vm-profile.scm << _EOF_
(
 (workstation
  (title . "Setup for workstation")
  (action . trivial)
  (actiondata  ("swap" (size . $mem) (fsim . "SWAPFS") (methods lvm))
               ("/" (size 31500000 . #t ) (fsim . "Ext2/3") (methods lvm))
  )
 )
 (nolvmstation
  (title . "Setup for workstation (without LVM)")
  (action . trivial)
  (actiondata  ("swap" (size . $mem) (fsim . "SWAPFS") (methods plain))
               ("/" (size 31500000 . #t ) (fsim . "Ext2/3") (methods plain))
  )
 )
)
_EOF_
